Subject: use of ip6.int

From: Bill Manning <[email-masked]>
Date: Tue, 25 Jan 2000 15:34:42 -0800 (PST)

Resent.

% >>> RCPT To:<[email-masked]>
% <<< 550 5.1.1 <[email-masked]>... User unknown
% 550 <[email-masked]>... User unknown
% 
% Subject: Re: (ngtrans) Use of IP6.INT
% To: [email-masked]
% Date: Tue, 25 Jan 2000 15:32:14 -0800 (PST)
% Cc: [email-masked], [email-masked]
% In-Reply-To: <Roam.SIMC.2.0.6.948841002.12374.nordmark@jurassic> from "Erik Nordmark" at Jan 25, 2000 02:56:42 PM
% X-Mailer: ELM [version 2.5 PL2]
% MIME-Version: 1.0
% Content-Type: text/plain; charset=us-ascii
% Content-Transfer-Encoding: 7bit
% 
% % Please followup on the ipngwg list only.
% % 
% % There has been some discussion for a while in the IAB and IESG about the
% % use of .INT. Since this is assigned to ITU to do assignments for
% % international (treaty?) organizations it is clear that the IETF should
% % not use .INT for any future use.
% 
% 	As someone who was intimately involved with that zone,
% 	its transfer from Dr. Mockapetris back to the IANA and 
% 	the early discussions w/ ITU on the use of this domain,
% 	I'd like to provide one point of view that was prevelant
% 	during the 1995-1998 period.  The .INT. zone was for
% 	Internet Infrastructure as well as a home for International
% 	treaty organizations that did not feel comfortable elsewhere.
% 	The ITU would -like- to run this zone, but it is not clear
% 	to me that they have to. This feeling was apparently shared by
% 	Dr. Postel, since the zone did not transfer. ICANN is in 
% 	control of that zone now. I would hope that they soon are able
% 	to take the root zone and the in-addr.arpa zone.  These things
% 	are arguably within their charter.
% 	
% % The question on the table is whether or not we should switch IP6.INT
% % to be somewhere else. I'd like to understand the implications of
% % doing such a switch and in particular it it can be piggy-backed on
% % the transition from AAAA to A6, DNAME, and binary labels.
% 
% 	See the discussions in from the namedroppers list in that time
% 	period wrt the installed resolver base and the placement
% 	of the inverse tree pointers.  It was deemed to much of a
% 	"flag-day" to migrate the in-addr.arpa. label to the ip4.int.
% 	portion of the tree.   I beleive that there is enough installed
% 	base of BIND code in play now that migrating to somewhere else
% 	(and where that might be would be a long debate) would be
% 	very disruptive.
% 
% % There seems to be consensus that .arpa would be a good place to put
% % things like the IPv6 reverse tree since it already contains
% % the IPv4 reverse tree. If we go this path we should presumably invent a new
% % meaning for .arpa. So far I've seen two good suggestions:
% % 	Address Reversing Pointer Access
% % 	Address and Routing Parameters Area
% % 
% % Thus ip6.arpa (or in6-addr.arpa if you want it to be closer to in-addr.arpa)
% % could be a reasonable domain to use.
% 
% 	Ick. I'm not comfortable with either although they could work.
% 	Would it be prudent to move all the other infrastructure zones
% 	under the .arpa. zone as well?  This would reverse a long standing
% 	effort to "kill" off the .arpa. zone.
% 
% % Thus it might be realatively painless to make the new way also look in
% % a different place; such as ip6.arpa instead of ip6.int.
% 
% 	Again, the issue is with the deployed resolver code. Its 
% 	currently tweeked for an either/or lookup.
% 
% % Comments?
% %    Erik
% 
% 	Tell ICANN that the ITU does not need to manage infrastructure
% 	zones and don't push the other bits of the infrastructure tree
% 	back into .arpa.  Let ICANN do its job.
% 
% -- 
% --bill
% 
% --PAA15067.948843156/engmail3.Eng.Sun.COM--
% 
% 

-- 
--bill
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------